# Generated by Django 4.2 on 2024-08-05 09:03

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('main', '0022_localcontest_localcontestcategory_contestcategory'),
    ]

    operations = [
        migrations.CreateModel(
            name='GeoContextAdmin',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('geo_context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='admins', to='main.geocontext')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='geo_contexts', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('geo_context', 'user')},
            },
        ),
    ]
